return(1)

NAME
return - stop the innermost currently evaluated function

  Synopsis
function NAME; [COMMANDS...;] return [STATUS]; [COMMANDS...;] end

  Description
The return builtin is used to halt a currently running function. It is usually added inside of a conditional block such as an if statement or a switch statement to conditionally stop the executing function and return to the caller, but it can also be used to specify the exit status of a function.

•   STATUS is the return status of the function. If unspecified, the status is unchanged.

  Example
The following code is an implementation of the false command as a fish function

function false
	return 1
end